org.apache.tinkerpop.gremlin.tinkergraph.process.traversal.step.sideEffect

## Class TinkerGraphStep<S,E extends Element>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphStep<S,E>
    - - org.apache.tinkerpop.gremlin.tinkergraph.process.traversal.step.sideEffect.TinkerGraphStep<S,E>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<Traverser.Admin<E>>, Step<S,E>, Configuring, GraphComputing, HasContainerHolder, Parameterizing

      public final class TinkerGraphStep<S,E extends Element>
      extends GraphStep<S,E>
      implements HasContainerHolder, AutoCloseable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Pieter Martin
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphStep

      `done, ids, isStart, iteratorSupplier, parameters, returnClass`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TinkerGraphStep(GraphStep<S,E> originalGraphStep)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHasContainer(HasContainer hasContainer)`
    `void` | `close()` Attempts to close an underlying iterator if it is of type `CloseableIterator`.
    `List<HasContainer>` | `getHasContainers()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphStep

      `addIds, clearIds, configure, convertElementsToIds, getIds, getParameters, getReturnClass, isStartStep, isStartStep, onGraphComputer, processHasContainerIds, processNextStart, reset, returnsEdge, returnsVertex, setIteratorSupplier`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, setId, setNextStep, setPreviousStep, setTraversal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.HasContainerHolder

      `removeHasContainer`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.GraphComputing

      `atMaster, atMaster`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### TinkerGraphStep

          public TinkerGraphStep(GraphStep<S,E> originalGraphStep)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `GraphStep<S,E extends Element>`

    - #### getHasContainers

          public List<HasContainer> getHasContainers()

      Specified by:
        `getHasContainers` in interface `HasContainerHolder`

    - #### addHasContainer

          public void addHasContainer(HasContainer hasContainer)

      Specified by:
        `addHasContainer` in interface `HasContainerHolder`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `GraphStep<S,E extends Element>`

    - #### close

          public void close()

      Description copied from class: `GraphStep`
      Attempts to close an underlying iterator if it is of type `CloseableIterator`. Graph providers may choose to return this interface containing their vertices and edges if there are expensive resources that might need to be released at some point.
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `GraphStep<S,E extends Element>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.